CVE-2019-6461

NameCVE-2019-6461
DescriptionAn issue was discovered in cairo 1.16.0. There is an assertion problem in the function _cairo_arc_in_direction in the file cairo-arc.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs929944

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cairo (PTS)stretch1.14.8-1vulnerable
stretch (security)1.14.8-1+deb9u1vulnerable
buster1.16.0-4+deb10u1vulnerable
bookworm, sid, bullseye1.16.0-5vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cairosource(unstable)(unfixed)low929944

Notes

[bullseye] - cairo <ignored> (Minor issue)
[buster] - cairo <ignored> (Minor issue)
[stretch] - cairo <no-dsa> (Minor issue)
[jessie] - cairo <no-dsa> (Minor issue)
https://gitlab.freedesktop.org/cairo/cairo/issues/352

Search for package or bug name: Reporting problems